#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module		dockerpycreds
%define 	egg_name	docker_pycreds
%define		pypi_name	docker-pycreds
Summary:	Python bindings for the docker credentials store API
Name:		python-%{pypi_name}
Version:	0.4.0
Release:	10
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	322f570cea6b4661c6ac335683988e18
URL:		https://github.com/shin-/dockerpy-creds
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-flake8 = 2.4.1
BuildRequires:	python-pytest = 3.0.2
BuildRequires:	python-pytest-cov = 2.3.1
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-flake8 = 2.4.1
BuildRequires:	python3-pytest = 3.0.2
BuildRequires:	python3-pytest-cov = 2.3.1
%endif
%endif
Suggests:	docker-credential-helpers >= 0.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 bindings for the docker credentials store API

%package -n python3-%{pypi_name}
Summary:	Python bindings for the docker credentials store API
Group:		Libraries/Python
Suggests:	docker-credential-helpers >= 0.4.0

%description -n python3-%{pypi_name}
Python 3 bindings for the docker credentials store API

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%{__rm} -r %{egg_name}.egg-info

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-docker-pycreds.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 11d779d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3c0e91c
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a862786
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b47b732
- Release 7 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> df586d5
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6eb9c91
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 5fc441c
- release 4 (by relup.sh)

* Thu Apr 30 2020 Elan Ruusamäe <glen@pld-linux.org> 05056e3
- Make docker-credential-helpers optional

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4442a27
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Apr 07 2019 Jan Palus <atler@pld-linux.org> 0233048
- R: docker-credential-helpers

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> 1d9e9d4
- up to 0.4.0

* Wed Jul 18 2018 Jan Palus <atler@pld-linux.org> 44e94b8
- up to 0.3.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f62a709
- python 3.7 rebuild
- release 2 (by relup.sh)

* Tue Feb 27 2018 Elan Ruusamäe <glen@pld-linux.org> 738dd5f
- up to 0.2.2

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b1451ef
- python 3.6
- release 4 (by relup.sh)

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> f969b51
- fix license

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 3b18eed
- release 2 (by relup.sh)

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 4f078be
- fix egg name macro

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> f25cae9
- drop autogenerated pythonegg deps

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 6424983
- fix url

